Subject: Re: NID registration for NBN

From: Keith Moore <[email-masked]>
Date: Thu, 1 Feb 2001 22:02:23 -0500

> Please forgive me if my enthusiasm for our current work
> overflows sometimes into the realm of what some might call
> 'advertizing.'  Whereas the pessism of many with respect
> to URN work is based partly on doubts about whether DDDS
> resolution services will ever be deployed, we are excited
> by the fact that the resolution technology we require is
> already widely deployed world-wide.  We also think our model
> is the Right Thing for future bibliographic services: a
> decentralized model that gives local libraries precedence
> over publishers and global services and gives users
> ultimate control to set their own bibliographic service
> providers.

there seems to be a misunderstanding here about the role of DDDS
with respect to URNs.  the assignment of URNs is independent of
the resolution mechanism, and DDDS is only one possible resolution
mechanism.  decentralized lookup mechanisms in addition to DDDS
are highly desirable, and the idea that users could choose their
own bibliographic service providers was part of the justification
for this design feature of URNs

you should therefore feel completely free to design and deploy
private resolution services for URNs.

---

From: Juha Hakala <[email-masked]>
Date: Wed, 7 Feb 2001 14:36:36 +0200

Rob,

Although ISO 3166-1, 5th edition does not allow (or explicitly forbid)
parallel usage of capital and small letters, I decided to be liberal in
the NBN registration. There are two reasons for this:

1. According to RFC 2141, namespace ID and string "urn:" are case
insensitive. If urn:nbn: equals URN:NBN: and all possible combinations
of small and capital letters, it makes sense to stick to the same
practice and allow both fi and FI.

2. The library community has an old practice of using small letters in
country codes in our bibliographical databases. Insisting on "FI" only
would be counterintuitive.

Also, we have used small letters in URNs delivered since 1998. I would
rather not change the practice by now.

As far as I know, there are no NBN-based URN resolution services
available yet. The largest on-going implementation project is in Norway;
the national library will identify every item in their digital deposit
with NBN-based URNs. They are currently digitising several terabytes of
data every year.

Best regards,

Juha

Rob Cameron wrote:
>
> Juha,
>
> With respect to the NBN document, I have one immediate concern
> that you may wish to address in regard to the Rules for Lexical
> Equivalence.   Just as you state that x and X are equivalent
> in the ISBN document (with the implication that X is canonical)
> I believe that you should make a similar statement with respect
> to the country code component of an NBN.  Are "FI", "fi", "Fi"
> and "fI" all legal and equivalent?  Personally, I think it's
> best to stick with ISO 3166 precisely and require "FI".
>
> This problem is an immediate concern to us in our implementation
> of the NBN domain under the bibp: scheme as well.  Even if you do
> not wish to change the document, I would like to know your
> thoughts on this.  We want to make our bibp:NBN services
> interoperate with any urn:NBN services that are developed.
>
> Are there any urn:NBN servers that are available at this time?
> We would appreciate the opportunity to direct NBN requests
> to them; we would also provide feedback on any interoperability
> concerns that arise.
>
> On a general note, thanks for considering and responding on
> my point with respect to resolution models.  Our work with the
> bibp: scheme will continue to pursue the decentralized model,
> but I agree that there is no need to refer to this in the
> urn:ISBN document.
>